module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.AST = exports.node = undefined;

	var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

	exports.createVariableDecl = createVariableDecl;

	var _nodes = __webpack_require__(1);

	var _node = _interopRequireWildcard(_nodes);

	function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	exports.node = _node;

	var AST = exports.AST = function () {
	  function AST() {
	    _classCallCheck(this, AST);

	    this.content = null;

	    this.content = new _nodes.File(new _nodes.Program());
	  }

	  _createClass(AST, [{
	    key: 'addChild',
	    value: function addChild(node) {
	      this.content.program.body.push(node);
	    }
	  }]);

	  return AST;
	}();

	function createVariableDecl(name, value) {
	  var kind = arguments.length <= 2 || arguments[2] === undefined ? 'var' : arguments[2];

	  return new _nodes.VariableDeclaration([new _nodes.VariableDeclarator(new _nodes.Identifier(name), value, kind)]);
	}

/***/ },
/* 1 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _File = __webpack_require__(2);

	Object.defineProperty(exports, 'File', {
	  enumerable: true,
	  get: function get() {
	    return _interopRequireDefault(_File).default;
	  }
	});

	var _Program = __webpack_require__(4);

	Object.defineProperty(exports, 'Program', {
	  enumerable: true,
	  get: function get() {
	    return _interopRequireDefault(_Program).default;
	  }
	});

	var _VariableDeclaration = __webpack_require__(5);

	Object.defineProperty(exports, 'VariableDeclaration', {
	  enumerable: true,
	  get: function get() {
	    return _interopRequireDefault(_VariableDeclaration).default;
	  }
	});

	var _VariableDeclarator = __webpack_require__(6);

	Object.defineProperty(exports, 'VariableDeclarator', {
	  enumerable: true,
	  get: function get() {
	    return _interopRequireDefault(_VariableDeclarator).default;
	  }
	});

	var _Identifier = __webpack_require__(7);

	Object.defineProperty(exports, 'Identifier', {
	  enumerable: true,
	  get: function get() {
	    return _interopRequireDefault(_Identifier).default;
	  }
	});

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ },
/* 2 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _Node2 = __webpack_require__(3);

	var _Node3 = _interopRequireDefault(_Node2);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

	var File = function (_Node) {
	  _inherits(File, _Node);

	  function File(prog) {
	    _classCallCheck(this, File);

	    var _this = _possibleConstructorReturn(this, Object.getPrototypeOf(File).call(this));

	    _this.program = null;
	    _this.type = 'File';

	    _this.program = prog;
	    return _this;
	  }

	  return File;
	}(_Node3.default);

	exports.default = File;

/***/ },
/* 3 */
/***/ function(module, exports) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	var Node = function Node() {
	  _classCallCheck(this, Node);

	  this.type = 'Node';
	};

	exports.default = Node;

/***/ },
/* 4 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _Node2 = __webpack_require__(3);

	var _Node3 = _interopRequireDefault(_Node2);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

	var Program = function (_Node) {
	  _inherits(Program, _Node);

	  function Program() {
	    var _Object$getPrototypeO;

	    var _temp, _this, _ret;

	    _classCallCheck(this, Program);

	    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
	      args[_key] = arguments[_key];
	    }

	    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_Object$getPrototypeO = Object.getPrototypeOf(Program)).call.apply(_Object$getPrototypeO, [this].concat(args))), _this), _this.type = 'Program', _this.sourceType = 'module', _this.body = [], _this.directives = [], _temp), _possibleConstructorReturn(_this, _ret);
	  }

	  return Program;
	}(_Node3.default);

	exports.default = Program;

/***/ },
/* 5 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _Node2 = __webpack_require__(3);

	var _Node3 = _interopRequireDefault(_Node2);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

	var VariableDeclaration = function (_Node) {
	  _inherits(VariableDeclaration, _Node);

	  function VariableDeclaration() {
	    var decl = arguments.length <= 0 || arguments[0] === undefined ? [] : arguments[0];

	    _classCallCheck(this, VariableDeclaration);

	    var _this = _possibleConstructorReturn(this, Object.getPrototypeOf(VariableDeclaration).call(this));

	    _this.type = 'VariableDeclaration';
	    _this.declarations = [];
	    _this.kind = 'var';

	    _this.declarations = decl;
	    return _this;
	  }

	  return VariableDeclaration;
	}(_Node3.default);

	exports.default = VariableDeclaration;

/***/ },
/* 6 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _Node2 = __webpack_require__(3);

	var _Node3 = _interopRequireDefault(_Node2);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

	var VariableDeclarator = function (_Node) {
	  _inherits(VariableDeclarator, _Node);

	  function VariableDeclarator(id, init) {
	    _classCallCheck(this, VariableDeclarator);

	    var _this = _possibleConstructorReturn(this, Object.getPrototypeOf(VariableDeclarator).call(this));

	    _this.type = 'VariableDeclarator';
	    _this.id = null;
	    _this.init = null;

	    _this.id = id;
	    _this.init = init;
	    return _this;
	  }

	  return VariableDeclarator;
	}(_Node3.default);

	exports.default = VariableDeclarator;

/***/ },
/* 7 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _Node2 = __webpack_require__(3);

	var _Node3 = _interopRequireDefault(_Node2);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

	var Identifier = function (_Node) {
	  _inherits(Identifier, _Node);

	  function Identifier(name) {
	    _classCallCheck(this, Identifier);

	    var _this = _possibleConstructorReturn(this, Object.getPrototypeOf(Identifier).call(this));

	    _this.type = 'Identifier';
	    _this.name = '';

	    _this.name = name;
	    return _this;
	  }

	  return Identifier;
	}(_Node3.default);

	exports.default = Identifier;

/***/ }
/******/ ]);